GDB (xrefs)

Public Attributes | List of all members
ada_opname_map Struct Reference

`#include "ada-lang.h"`

## Public Attributes
const char * | encoded
const char * | decoded
enum exp_opcode | op

## Detailed Description

Definition at line 71 of file ada-lang.h.

## Member Data Documentation

## ◆ decoded

const char* ada_opname_map::decoded

Definition at line 74 of file ada-lang.h.

Referenced by ada_decode(), ada_decoded_op_name(), ada_encode(), ada_encode_1(), and is_ada_operator().

## ◆ encoded

const char* ada_opname_map::encoded

Definition at line 73 of file ada-lang.h.

Referenced by ada_decode(), ada_decoded_op_name(), ada_encode_1(), ada_remove_po_subprogram_suffix(), ada_remove_trailing_digits(), ada_remove_Xbn_suffix(), and is_ada_operator().

## ◆ op

enum exp_opcode ada_opname_map::op

Definition at line 75 of file ada-lang.h.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-lang.h